type: prog

titre: Chiots à créer!

niveau: base

objectif: Définir un constructeur sans paramètre pour la classe Chien

énoncé: |
  On souhaite produire un système pour gérer un **refuge pour chiens**.  
  On commence par définir la classe représentant les chiens hébergés dans le chenil, caractérisés par leur `nom` et `âge`.  
  On nous explique qu'au début, tout chien admis se nomme `Fido` et a `1` an jusqu'à ce que les informations complètes du chien soient connues plus tard.  
  Pour cette raison, on décide de définir un **constructeur sans paramètre** dans la classe **Chien**, où les attributs sont initialisés avec les valeurs
  citées.  
  On teste cette classe dans la classe **TestChien** en créant **deux objets** distincts à l'aide du constructeur et on produit en sortie leurs attributs.

  ### Entrées

  [Aucune]

  ### Sortie attendue

   Valeurs des **attributs membres** des deux objets de la classe **Chien** selon le modèle de l'exemple ci-dessous.
  
  ### À faire

  Compléter le code pour produire en sortie les valeurs des **attributs** des deux objets de la classe **Chien** créés, tel que présenté dans
  l'exemple ci-dessous.

  ### Exemple

  1. Deux chiens

   - Entrée :
  ```
    [Aucune]

  ```

   - Sortie attendue :
  ```
    Fido, 1 an
    Fido, 1 an

  ```

ébauches:
  java: !include Chien.java


rétroactions:
  positive: Bravo !
  négative: Important - Le constructeur sans paramètre annule le constructeur par défaut ! 

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA



